Package org.apache.wiki.htmltowiki.syntax

# Class SelectDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.SelectDecorator

public abstract class SelectDecorator extends Object
Translates to wiki syntax from a `SELECT` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Constructor
Description
`SelectDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupForSelectAttributeClose()`
Closing wiki markup for a `SELECT`'s attribute.
`protected abstract String`
`markupForSelectAttributeOpen(String attr)`
Opening wiki markup for a `SELECT`'s attribute.
`protected abstract String`
`markupSelectClose()`
Closing wiki markup for an `SELECT` element.
`protected abstract String`
`markupSelectOpen()`
Opening wiki markup for an `SELECT` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### SelectDecorator

public SelectDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupForSelectAttributeOpen

protected abstract String markupForSelectAttributeOpen(String attr)
Opening wiki markup for a `SELECT`'s attribute.

Parameters:
  `attr` - attribute's name.
Returns:
  Opening wiki markup for a `SELECT` element.

### markupForSelectAttributeClose

protected abstract String markupForSelectAttributeClose()
Closing wiki markup for a `SELECT`'s attribute.

Returns:
  Closing wiki markup for a `SELECT` element.

### markupSelectOpen

protected abstract String markupSelectOpen()
Opening wiki markup for an `SELECT` element.

Returns:
  Opening wiki markup for an `SELECT` element.

### markupSelectClose

protected abstract String markupSelectClose()
Closing wiki markup for an `SELECT` element.

Returns:
  Closing wiki markup for an `SELECT` element.